DERSetParser (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERSetParser

- java.lang.Object
- - org.bouncycastle.asn1.DERSetParser

- All Implemented Interfaces:
    ASN1Encodable, ASN1SetParser, InMemoryRepresentable

      public class DERSetParser
      extends java.lang.Object
      implements ASN1SetParser

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `getLoadedObject()` Get the in-memory representation of the ASN.1 object.
    `ASN1Encodable` | `readObject()` Read the next object from the underlying object representing a SET.
    `ASN1Primitive` | `toASN1Primitive()` Return an object, possibly constructed, of ASN.1 primitives

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readObject

          public ASN1Encodable readObject()
                                   throws java.io.IOException

      Description copied from interface: `ASN1SetParser`
      Read the next object from the underlying object representing a SET.
      Specified by:
        `readObject` in interface `ASN1SetParser`
      Returns:
        the next object, null if we are at the end.
      Throws:
        `java.io.IOException` - for bad input stream.

    - #### getLoadedObject

          public ASN1Primitive getLoadedObject()
                                        throws java.io.IOException

      Description copied from interface: `InMemoryRepresentable`
      Get the in-memory representation of the ASN.1 object.
      Specified by:
        `getLoadedObject` in interface `InMemoryRepresentable`
      Returns:
        an ASN1Primitive representing the loaded object.
      Throws:
        `java.io.IOException` - for bad input data.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from interface: `ASN1Encodable`
      Return an object, possibly constructed, of ASN.1 primitives
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Returns:
        an ASN.1 primitive.